Name:           DVDStyler
Version:        1.8.2.1
Release:        5.pm.8.11
Summary:        GUI frontend for dvdauthor and other related tools
Group:          Productivity/Multimedia/Video/Editors and Convertors
License:        GNU General Public License version 2 or later (GPL v2 or later)
URL:            http://DVDStyler.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/dvdstyler/DVDStyler-%{version}.tar.bz2
Requires:       dvd+rw-tools dvdauthor mpgtx mjpegtools

BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}-build
BuildRequires:  bison  cdrkit-cdrtools-compat dvdauthor dvd+rw-tools flex
BuildRequires:  gcc-c++ mpgtx mjpegtools-devel libexif-devel libgnomeui-devel
BuildRequires:  libjpeg-devel libnetpbm-devel libudev-devel libwxsvg-devel
BuildRequires:  update-desktop-files xmlto zip
%if %suse_version > 1130
%define         _use_internal_dependency_generator 0
%define         __find_requires %wx_requires
BuildRequires:  wxWidgets-wxcontainer-devel
%else
BuildRequires:  wxGTK-devel
%endif

%description
DVDStyler is a gui frontend for using dvdauthor and dvd-slideshow scripts to easily 
build DVD menus and assemble the DVD VOB files.

%prep
%setup -q

%build
%configure --docdir="%{_docdir}/%{name}"
%__make %{?_smp_flags}

%install
%makeinstall
%suse_update_desktop_file -r dvdstyler DiscBurning
%find_lang dvdstyler

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f dvdstyler.lang
%defattr(-,root,root)
%{_bindir}/dvdstyler
%{_datadir}/applications/dvdstyler.desktop
%dir %{_datadir}/dvdstyler
%{_datadir}/dvdstyler
%{_datadir}/pixmaps/dvdstyler.png
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%{_mandir}/man1/dvdstyler.1%{ext_man}

%changelog
* Sun Feb 20 2011 detlef@links2linux.de
- new upstream version <1.8.2.1>
  * updated some translations
* Sat Dec 25 2010 detlef@links2linux.de
- new upstream version <1.8.2>
  * fixed rendering of menu (considering aspect ratio)
  * added generation of up to 3 subpicture streams for widescreen menus
    (widescreen, letterbox, panscan)
  * fixed rendering of video frame
  * added auto duplication of title selection menu
  * added menu option "remember last selected button"
  * added detection of default video format at first start
  * added setting for interlaced video
  * added possibility to specify video border and cropping
  * added support of stream- and cell-tag in dvdstyler project file
  * changed to not use mplex by default.
  * fixed command line bug
  * fixed validation of disc label in welcome dialog
  * fixed validation of custom actions
  * added validation of chapters
  * added setting "Accept invalid actions"
  * fixed initialization of cache
  * fixed bug 2919588 (displays error message if user try to create more than
    12 buttons)
  * fixed bug 2963754 (save play all)
  * fixed bug 2995164 (Infernal loop)
  * fixed bug 3062442 (frame button misbehavior)
  * updated dvdauthor to version 0.6.18
  * updated ffmpeg to version 0.6
  * added support of Mac OS X
* Mon Jun 28 2010 detlef@links2linux.de
- new upstream version <1.8.1>
  * added possibility to change subtitle options
  * added support of VCD and half D1 resolutions
  * added validation of custom actions
  * some other small changes
* Tue May 11 2010 detlef@links2linux.de
- new upstream version <1.8.0.3>
  * updated some translations
* Wed Mar 17 2010 detlef@links2linux.de
- new upstream version <1.8.0.2>
  * fixed some bugs
  * updated some translations
* Thu Feb 18 2010 detlef@links2linux.de
- new upstream version <1.8.0.1>
  * significantly enhanced performance of video encoding under Windows
  * fixed crash when deleting all menus
  * updated some translations
* Wed Feb 10 2010 detlef@links2linux.de
- fix Makefile.am/in to install templates
* Wed Feb  3 2010 detlef@links2linux.de
- new upstream version <1.8.0>
* Sat Jan 30 2010 detlef@links2linux.de
- new upstream version <1.8.0rc3>
  * fixed some bugs
  * fixed multiplexing of multiple subtitles
  * added check if button coordinates are valid
  * added Norwegian translation (thanks to Olav Inge)
  * added Japanese translation (thanks to OKANO Takayoshi)
* Sun Jan 17 2010 detlef@links2linux.de
- new upstream version <1.8.0rc1>
  * added undo/redo
  * added menu item "Add file as chapter"
  * added possibility to drag-and-drop from TitlesetManager to MenuEditor
  * thumbnails: fixed font size and size of images
  * added support of ini-file under MS-Windows
  * added creation of file associations in windows installer
* Sat Jan  2 2010 detlef@links2linux.de
- new upstream version <1.8.0b3>
* Mon Nov 23 2009 detlef@links2linux.de
- new upstream version <1.7.4_3>
* Tue Oct 20 2009 detlef@links2linux.de
- new upstream version <1.7.4_1>
  * added three new buttons: text with circle, text with square and underlined text
  * button actions: added possibility to select audio and subtitle tracks
  * added possibility to set languages for audio streams
  * jumppad is disabled by default
  * added some warning messages
  * some other small changes
  * Windows: updated dvd+rw-tools to version 7.1, ffmpeg to 19793-snapshot
* Tue Aug 18 2009 detlef@links2linux.de
- new upstream version <1.7.3 final>
  * added welcome dialog
  * redesigned title properties dialog: added possibility to add/remove single audio and subtitle files
  * added possibility to set default button
  * added caching of transcoded files
  * saves relative path in project file
  * added check if there is enough space on temporary directory
  * added setting of DVD reserved space
  * added support of multi-core processors
  * updated for new ffmpeg library (v0.5)
  * update guide
  * some other small changes
  * added Vietnamese translation (thanks to Phan Anh)
  * added Tradition Chinese translation (thanks to Chung-Yu Hsu)
* Wed Jul 22 2009 detlef@links2linux.de
- new upstream version <1.7.3b4>
* Sat Mar  7 2009 detlef@links2linux.de
- new upstream version <1.7.2>
  * fixed multiplexing of NTSC subtitles (thanks to Jean-Luc Bedwani)
  * added Macedonian translation (thanks to Damjan Dimitrioski)
* Sat Feb 21 2009 detlef@links2linux.de
- new upstream version <1.7.1b5>
  * added setting of aspect ratio
  * added setting of disc capacity and bitrate
  * added displaying of fill status
  * added displaying of free space
  * added support of multiplexing using mplex tool
  * updated for new ffmpeg library
  * added help
* Mon Jan 26 2009 detlef@links2linux.de
- new upstream version <1.7.1b4_1>
  * added support of multiplexing using mplex tool
* Sat Jan  3 2009 detlef@links2linux.de
- new upstream version <1.7.1b3>
  * fixed setting of bitrate
* Sat Dec 27 2008 detlef@links2linux.de
- new upstream version <1.7.1b2>
  * added setting of aspect ratio
  * added setting of disc capacity
  * updated for new ffmpeg library
* Fri Oct  3 2008 detlef@links2linux.de
- use find_lang
* Thu Sep 18 2008 Manfred.Tremmel@iiv.de
- new upstream version <1.7.0>
* Tue May 13 2008 detlef@links2linux.de
- new upstream version <1.6.2>
* Sat Apr  5 2008 detlef@links2linux.de
- rebuild with new wxsvg
* Wed Apr  2 2008 detlef@links2linux.de
- change to wxWidgets
* Tue Apr  1 2008 detlef@links2linux.de
- new upstream version <1.6.2b1>
* Mon Mar 17 2008 detlef@links2linux.de
- new upstream version <1.6.1_2>
* Thu Mar  6 2008 detlef@links2linux.de
- new upstream version <1.6.1_1>
* Tue Feb 26 2008 detlef@links2linux.de
- new upstream version <1.6.1b2_2>
* Wed Jan 23 2008 detlef@links2linux.de
- new upstream version <1.6.0_3>
* Tue Jan  8 2008 detlef@links2linux.de
- new upstream version <1.6.0_2>
* Fri Jan  4 2008 detlef@links2linux.de
- new upstream version <1.6.0>
* Tue Nov  6 2007 detlef@links2linux.de
- new upstream version <1.5.1_2>
* Tue Jul 31 2007 detlef@links2linux.de
- new upstream version <1.5.1>
* Fri May 18 2007 detlef@links2linux.de
- new upstream version <1.5-final>
* Fri Jan  5 2007 detlef@links2linux.de
- new upstream version
* Tue Feb 15 2005 rainer@links2linux.de
- added unicode
* Sat Nov 13 2004 rainer@links2linux.de
- first packman release
